/* mdf.h */

/*
#define SOLARIS  /* System to be used on */

/*
#define DEBUG_OPTIONS /* show the required options */

/*
#define DEBUG_LIST /* show the informations in the list of file systems */

/*
#define DEBUG_SPACE /* show the space allocated */

/* general definitions */

#ifdef SOLARIS

#define MOUNT_TAB "/etc/mnttab"

#else 

#define MOUNT_TAB "/etc/mtab"

#endif

#define UNDELETE_DEFINE "ud_dir"

#define TYPE_IGNORE "ignore"

#define OPTION '-'

#define INODES 'i'

#define SPECIFIC_TYPE 't'

#define KBYTES 'k'

#define MBYTES 'm'

#define GBYTES 'g'

#define LOCAL 'l'

#define SHOW_TYPES 's'

#define KEYWORD 'K'

#define UNDELETE 'u'

#define MAX_TYPES 20

#define MAX_TYPE_LENGTH 20

#define MAX_LOCALIZATIONS 20

#define MAX_KEYWORDS 20

#define TRUE  1
#define FALSE 0

#define ERROR 1

#define ALLOC(X,Y) (Y*)alloc_mem(X,sizeof(Y)) /* ALLOC (itens, type) */

/* file system list structure */

typedef unsigned int word;

typedef unsigned char boolean;

#ifdef SOLARIS

typedef struct file_system_node {

  char *mounted_file_name;

  char *file_system_path;

  u_long file_system_id [2];

  u_long total_blocks;

  u_long used_blocks;

  u_long avail_blocks;

  u_long block_size;

  char *mount_type;

  u_long used_file_nodes;

  u_long free_file_nodes;

  boolean valid_file_system;

  struct file_system_node *next;

} file_system;

#else

typedef struct file_system_node {

  char *mounted_file_name;

  char *file_system_path;

  long file_system_id [2];

  long total_blocks;

  long used_blocks;

  long avail_blocks;

  long block_size;

  char *mount_type;

  long used_file_nodes;

  long free_file_nodes;

  boolean valid_file_system;

  struct file_system_node *next;

} file_system;

#endif
